This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 444727

Summary: rpc.gssd work work without the krb5-devel package
Product: [Fedora] Fedora Reporter: Michael Young <m.a.young>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: nalin
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-10 06:14:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Young 2008-04-30 06:35:44 EDT
If you set SECURE_NFS="yes" in /etc/sysconfig/nfs and do a service rpcgssd start
then you get the error
Starting RPC gssd: can't open libgssapi_krb5.so: libgssapi_krb5.so: cannot open
shared object file: No such file or directory
rpc.gssd: Unable to obtain list of supported mechanisms. Check that gss library
is properly configured.

rpc.gssd: Problem with gssapi library
if the krb5-devel package isn't installed, as for some reason it tries to open
the /usr/lib/libgssapi_krb5.so library from krb5-devel rather than the
/usr/lib/libgssapi_krb5.so.2 or /usr/lib/libgssapi_krb5.so.2.2 from krb5-libs.
This seems wrong to me, and either nfs_utils should depend only on krb5-libs or
the nfs_utils package should require the krb5-devel one.
Comment 1 Steve Dickson 2008-05-07 08:57:56 EDT
Yes... I see your point...

Starting RPC gssd: can't open libgssapi_krb5.so: libgssapi_krb5.so: cannot open
shared object file: No such file or directory

rpc.gssd: Unable to obtain list of supported mechanisms. Check that gss library
is properly configured.



rpc.gssd: Problem with gssapi library


But I'm not clear on what I should do... Nalin, any ideas?
Comment 2 Bug Zapper 2008-05-14 06:25:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:32:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Young 2009-06-10 06:14:41 EDT
This seems to be fixed in Fedora 11.